export const getNavTop = () => {
  // 1.获取屏幕可使用宽度
  let windowWidth = wx.getSystemInfoSync().windowWidth;
  // 2.获取状态栏高度
  const statusBarHeight = wx.getSystemInfoSync().statusBarHeight;
  // // 3.获取胶囊按钮位置信息
  const menuButton = wx.getMenuButtonBoundingClientRect();
  // 4.计算出导航栏高度  换算成rpx
  let navHeight =
    (menuButton.height + (menuButton.top - statusBarHeight) * 2) *
    (750 / windowWidth);
  // // 5.导航栏与状态栏拉开距离  margin-top: statusBarTop + 'rpx';
  const navTop = statusBarHeight * (750 / windowWidth);
  return navTop;
};
