import { http } from "@/utils/http";
/**
 * 小程序轮播图
 */
export const getCarousel = (data: any) => {
  return http({
    method: "GET",
    url: `/miniApp/getCarousel/${data}`,
    data,
  });
};
/**
 * 营销活动
 */
export const getActivity = (data: any) => {
  return http({
    method: "GET",
    url: `/miniApp/getActivity/${data}`,
  });
};
/**
 * 活动用户添加
 */
export const addCustomer = (data: any) => {
  return http({
    method: "POST",
    url: "/customer/add",
    data,
  });
};
/**
 * 任务门店列表(新)
 */
export const taskDetail = (data: any) => {
  return http({
    method: "GET",
    url: "/wx/taskInfo/taskDetail",
    data,
  });
};
/**
 * 今日任务未读数量
 */
export const todaysTaskCount = () => {
  return http({
    method: "GET",
    url: "/wx/taskInfo/todaysTaskCount",
  });
};
/**
 * 筛选渠道列表
 */
export const channelByUserId = () => {
  return http({
    method: "GET",
    url: "/wx/taskInfo/getChannelByUserId",
  });
};

export const postLoginAPI = (data: any) => {
  return http({
    method: "POST",
    url: "/login",
    data,
  });
};

export const paymentAPI = (data: any) => {
  return http({
    method: "POST",
    url: "/v3/fund-app/mch-transfer/transfer-bills",
    data,
  });
};
